Package org.apache.sling.event.impl.jobs.jmx

# Class QueueStatusEvent

java.lang.Object
org.apache.sling.event.impl.jobs.jmx.QueueStatusEvent

public class QueueStatusEvent extends Object

## Constructor Summary

Constructors
Constructor
Description
`QueueStatusEvent(org.apache.sling.event.jobs.Queue queue, org.apache.sling.event.jobs.Queue oldqueue)`

## Method Summary

Modifier and Type
Method
Description
`org.apache.sling.event.jobs.Queue`
`getOldQueue()`
`org.apache.sling.event.jobs.Queue`
`getQueue()`
`boolean`
`isNew()`
`boolean`
`isRemoved()`
`boolean`
`isUpdate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QueueStatusEvent

public QueueStatusEvent(org.apache.sling.event.jobs.Queue queue, org.apache.sling.event.jobs.Queue oldqueue)

## Method Details

### isNew

public boolean isNew()

### isUpdate

public boolean isUpdate()

### isRemoved

public boolean isRemoved()

### getQueue

public org.apache.sling.event.jobs.Queue getQueue()

### getOldQueue

public org.apache.sling.event.jobs.Queue getOldQueue()